//
//  ContentView.swift
//  ListsSwiftUI
//
//  Created by Roman Vyjídáček on 16.03.2023.
//

import SwiftUI

struct ContentView: View {
    
    @State var notes: [Note] = .mock
    
    var body: some View {
        List(notes) { note in
            VStack(spacing: 4) {
                Text(note.title)
                    .font(.title2.bold())
                    .frame(maxWidth: .infinity, alignment: .leading)

                Text(note.content)
                    .frame(maxWidth: .infinity, alignment: .leading)
            }
        }
        .listStyle(.insetGrouped)
        .navigationTitle("Notes")
        .toolbar {
            ToolbarItem(placement: .navigationBarTrailing) {
                Button {
                    // Soma Action
                } label: {
                    Image(systemName: "plus")
                        .resizable()
                        .padding(6)
                        .frame(width: 24, height: 24)
                        .background(Color.blue)
                        .clipShape(Circle())
                        .foregroundColor(.white)
                }
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        NavigationView {
            ContentView()
        }
    }
}
